org.codehaus.classworlds

## Interface ClassRealm

All Known Implementing Classes:
  ClassRealmAdapter, DefaultClassRealm

Deprecated.

    @Deprecated
    public interface ClassRealm

Autonomous sub-portion of a `ClassWorld`.

This class most closed maps to the `ClassLoader` role from Java and in facts can provide a `ClassLoader` view of itself using `getClassLoader()`.

Author:
  bob mcwhirter, Jason van Zyl

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addConstituent(URL constituent)` Deprecated.
`ClassRealm` `createChildRealm(String id)` Deprecated.
`void` `display()` Deprecated.
`Enumeration` `findResources(String name)` Deprecated.
`ClassLoader` `getClassLoader()` Deprecated.
`URL[]` `getConstituents()` Deprecated.
`String` `getId()` Deprecated.
`ClassRealm` `getParent()` Deprecated.
`URL` `getResource(String name)` Deprecated.
`InputStream` `getResourceAsStream(String name)` Deprecated.
`ClassWorld` `getWorld()` Deprecated.
`void` `importFrom(String realmId, String pkgName)` Deprecated.
`Class` `loadClass(String name)` Deprecated.
`ClassRealm` `locateSourceRealm(String className)` Deprecated.
`void` `setParent(ClassRealm classRealm)` Deprecated.

### Method Detail

#### getId

    String getId()

Deprecated.

#### getWorld

    ClassWorld getWorld()

Deprecated.

#### importFrom

    void importFrom(String realmId,
                    String pkgName)
             throws NoSuchRealmException

Deprecated.

Throws:
  `NoSuchRealmException`

#### addConstituent

    void addConstituent(URL constituent)

Deprecated.

#### locateSourceRealm

    ClassRealm locateSourceRealm(String className)

Deprecated.

#### setParent

    void setParent(ClassRealm classRealm)

Deprecated.

#### createChildRealm

    ClassRealm createChildRealm(String id)
                         throws DuplicateRealmException

Deprecated.

Throws:
  `DuplicateRealmException`

#### getClassLoader

    ClassLoader getClassLoader()

Deprecated.

#### getParent

    ClassRealm getParent()

Deprecated.

#### getConstituents

    URL[] getConstituents()

Deprecated.

#### loadClass

    Class loadClass(String name)
             throws ClassNotFoundException

Deprecated.

Throws:
  `ClassNotFoundException`

#### getResource

    URL getResource(String name)

Deprecated.

#### findResources

    Enumeration findResources(String name)
                       throws IOException

Deprecated.

Throws:
  `IOException`

#### getResourceAsStream

    InputStream getResourceAsStream(String name)

Deprecated.

#### display

    void display()

Deprecated.